<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Generators::IGenerator&lt; T &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Generators.html">Generators</a></li><li class="navelem"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">IGenerator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1Generators_1_1IGenerator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Generators::IGenerator&lt; T &gt; Struct Template Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::Generators::IGenerator&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1Generators_1_1IGenerator__inherit__graph.png" border="0" usemap="#Catch_1_1Generators_1_1IGenerator_3_01T_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1Generators_1_1IGenerator_3_01T_01_4_inherit__map" id="Catch_1_1Generators_1_1IGenerator_3_01T_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="228,267,375,308"/>
<area shape="rect" href="classCatch_1_1Generators_1_1FilterGenerator.html" title=" " alt="" coords="445,5,603,47"/>
<area shape="rect" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html" title=" " alt="" coords="423,71,625,112"/>
<area shape="rect" href="classCatch_1_1Generators_1_1Generators.html" title=" " alt="" coords="451,136,597,177"/>
<area shape="rect" href="classCatch_1_1Generators_1_1IteratorGenerator.html" title=" " alt="" coords="437,201,611,243"/>
<area shape="rect" href="classCatch_1_1Generators_1_1MapGenerator.html" title=" " alt="" coords="447,267,601,308"/>
<area shape="rect" href="classCatch_1_1Generators_1_1RangeGenerator.html" title=" " alt="" coords="441,332,607,373"/>
<area shape="rect" href="classCatch_1_1Generators_1_1RepeatGenerator.html" title=" " alt="" coords="439,397,609,439"/>
<area shape="rect" href="classCatch_1_1Generators_1_1SingleValueGenerator.html" title=" " alt="" coords="423,463,625,504"/>
<area shape="rect" href="classCatch_1_1Generators_1_1TakeGenerator.html" title=" " alt="" coords="447,528,601,569"/>
<area shape="rect" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html" title=" " alt="" coords="5,267,180,308"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::Generators::IGenerator&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1Generators_1_1IGenerator__coll__graph.png" border="0" usemap="#Catch_1_1Generators_1_1IGenerator_3_01T_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Generators_1_1IGenerator_3_01T_01_4_coll__map" id="Catch_1_1Generators_1_1IGenerator_3_01T_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="19,95,166,136"/>
<area shape="rect" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html" title=" " alt="" coords="5,5,180,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a1f8677875fe0ff31f39c60d45504b9a5"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> = T</td></tr>
<tr class="separator:a1f8677875fe0ff31f39c60d45504b9a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f8677875fe0ff31f39c60d45504b9a5"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> = T</td></tr>
<tr class="separator:a1f8677875fe0ff31f39c60d45504b9a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afe5b6eecbbd735e69748d68574611747"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a> ()=default</td></tr>
<tr class="separator:afe5b6eecbbd735e69748d68574611747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a525d381fc9249a885b075a0632a8579a"><td class="memItemLeft" align="right" valign="top">virtual T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">get</a> () const =0</td></tr>
<tr class="separator:a525d381fc9249a885b075a0632a8579a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe5b6eecbbd735e69748d68574611747"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a> ()=default</td></tr>
<tr class="separator:afe5b6eecbbd735e69748d68574611747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a525d381fc9249a885b075a0632a8579a"><td class="memItemLeft" align="right" valign="top">virtual T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">get</a> () const =0</td></tr>
<tr class="separator:a525d381fc9249a885b075a0632a8579a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeed3c0cd6233c5f553549e453b8d6638 inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">next</a> ()=0</td></tr>
<tr class="separator:aeed3c0cd6233c5f553549e453b8d6638 inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeed3c0cd6233c5f553549e453b8d6638 inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">next</a> ()=0</td></tr>
<tr class="separator:aeed3c0cd6233c5f553549e453b8d6638 inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a1f8677875fe0ff31f39c60d45504b9a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f8677875fe0ff31f39c60d45504b9a5">&#9670;&nbsp;</a></span>type <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator</a>&lt; T &gt;::<a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> =  T</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f8677875fe0ff31f39c60d45504b9a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f8677875fe0ff31f39c60d45504b9a5">&#9670;&nbsp;</a></span>type <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator</a>&lt; T &gt;::<a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> =  T</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afe5b6eecbbd735e69748d68574611747"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe5b6eecbbd735e69748d68574611747">&#9670;&nbsp;</a></span>~IGenerator() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator</a>&lt; T &gt;::~<a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">IGenerator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afe5b6eecbbd735e69748d68574611747"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe5b6eecbbd735e69748d68574611747">&#9670;&nbsp;</a></span>~IGenerator() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator</a>&lt; T &gt;::~<a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">IGenerator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a525d381fc9249a885b075a0632a8579a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a525d381fc9249a885b075a0632a8579a">&#9670;&nbsp;</a></span>get() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual T const&amp; <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classCatch_1_1Generators_1_1IteratorGenerator.html#a61688118e5caba23340b4b949c3bb7e4">Catch::Generators::IteratorGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1IteratorGenerator.html#a61688118e5caba23340b4b949c3bb7e4">Catch::Generators::IteratorGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a2639173bb9f06ba353314cd226fcefec">Catch::Generators::RangeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a2639173bb9f06ba353314cd226fcefec">Catch::Generators::RangeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1MapGenerator.html#a199d377afba00519f202c59b4b488235">Catch::Generators::MapGenerator&lt; T, U, Func &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1MapGenerator.html#a199d377afba00519f202c59b4b488235">Catch::Generators::MapGenerator&lt; T, U, Func &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a43bd573274c9a0cd7f4406a3d0d36d49">Catch::Generators::RepeatGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a43bd573274c9a0cd7f4406a3d0d36d49">Catch::Generators::RepeatGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FilterGenerator.html#ab30e81b61a77430661d40f814758f6fe">Catch::Generators::FilterGenerator&lt; T, Predicate &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FilterGenerator.html#ab30e81b61a77430661d40f814758f6fe">Catch::Generators::FilterGenerator&lt; T, Predicate &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1TakeGenerator.html#aa4d2560f2066ec2eb4a351d62c107c78">Catch::Generators::TakeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1TakeGenerator.html#aa4d2560f2066ec2eb4a351d62c107c78">Catch::Generators::TakeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1Generators.html#a66705482b7efa88cae6e6b7062d5de6a">Catch::Generators::Generators&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1Generators.html#a66705482b7efa88cae6e6b7062d5de6a">Catch::Generators::Generators&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#ad2ea8c959c600386bcc4b2656b40d33e">Catch::Generators::FixedValuesGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#ad2ea8c959c600386bcc4b2656b40d33e">Catch::Generators::FixedValuesGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html#a5142058c52131a2471e7307972f99b50">Catch::Generators::SingleValueGenerator&lt; T &gt;</a>, and <a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html#a5142058c52131a2471e7307972f99b50">Catch::Generators::SingleValueGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a525d381fc9249a885b075a0632a8579a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a525d381fc9249a885b075a0632a8579a">&#9670;&nbsp;</a></span>get() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual T const&amp; <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classCatch_1_1Generators_1_1IteratorGenerator.html#a61688118e5caba23340b4b949c3bb7e4">Catch::Generators::IteratorGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1IteratorGenerator.html#a61688118e5caba23340b4b949c3bb7e4">Catch::Generators::IteratorGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a2639173bb9f06ba353314cd226fcefec">Catch::Generators::RangeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#a2639173bb9f06ba353314cd226fcefec">Catch::Generators::RangeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1MapGenerator.html#a199d377afba00519f202c59b4b488235">Catch::Generators::MapGenerator&lt; T, U, Func &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1MapGenerator.html#a199d377afba00519f202c59b4b488235">Catch::Generators::MapGenerator&lt; T, U, Func &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a43bd573274c9a0cd7f4406a3d0d36d49">Catch::Generators::RepeatGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a43bd573274c9a0cd7f4406a3d0d36d49">Catch::Generators::RepeatGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FilterGenerator.html#ab30e81b61a77430661d40f814758f6fe">Catch::Generators::FilterGenerator&lt; T, Predicate &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FilterGenerator.html#ab30e81b61a77430661d40f814758f6fe">Catch::Generators::FilterGenerator&lt; T, Predicate &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1TakeGenerator.html#aa4d2560f2066ec2eb4a351d62c107c78">Catch::Generators::TakeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1TakeGenerator.html#aa4d2560f2066ec2eb4a351d62c107c78">Catch::Generators::TakeGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1Generators.html#a66705482b7efa88cae6e6b7062d5de6a">Catch::Generators::Generators&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1Generators.html#a66705482b7efa88cae6e6b7062d5de6a">Catch::Generators::Generators&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#ad2ea8c959c600386bcc4b2656b40d33e">Catch::Generators::FixedValuesGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html#ad2ea8c959c600386bcc4b2656b40d33e">Catch::Generators::FixedValuesGenerator&lt; T &gt;</a>, <a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html#a5142058c52131a2471e7307972f99b50">Catch::Generators::SingleValueGenerator&lt; T &gt;</a>, and <a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html#a5142058c52131a2471e7307972f99b50">Catch::Generators::SingleValueGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
